const markdownIt = require('markdown-it');
const markdownItLinkAttributes = require('markdown-it-link-attributes');

const markdownLib = markdownIt({
	html: true,
	breaks: true,
	linkify: true,
	typographer: true
  }).use(markdownItLinkAttributes, [
    {
      // match external links
      matcher(href) {
        return href.match(/^https?:\/\//);
      },
      attrs: {
        target: '_blank',
        rel: 'noreferrer noopener'
      }
    }
  ]);

module.exports = function (eleventyConfig) {
	eleventyConfig.setLibrary('md', markdownLib);
  eleventyConfig.addFilter('md', content => content ? markdownLib.render(content) : "");
}